net.i2p.router.web.helpers

## Class TunnelRenderer

- java.lang.Object
- - net.i2p.router.web.helpers.TunnelRenderer

-     class TunnelRenderer
      extends Object

  For /tunnels.jsp, used by TunnelHelper.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TunnelRenderer(RouterContext ctx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `_t(String s, Object o)` translate a string
    `boolean` | `enableReverseLookups()`
    `(package private) static String` | `range(int f, int t)`
    `void` | `renderGuide(Writer out)` Renders an HTML table describing the bandwidth tiers used for tunnels, including their ranges and labels, and writes the output to the provided Writer.
    `void` | `renderLifetimeBandwidth(Writer out, TunnelPool in, TunnelPool outPool)`
    `void` | `renderParticipating(Writer out, boolean bySpeed)`
    `void` | `renderPeers(Writer out)`
    `void` | `renderStatusHTML(Writer out)`
    `void` | `renderTransitSummary(Writer out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TunnelRenderer

          public TunnelRenderer(RouterContext ctx)

  - ### Method Detail

    - #### _t

          public String _t(String s,
                           Object o)

      translate a string

    - #### enableReverseLookups

          public boolean enableReverseLookups()

    - #### range

          static String range(int f,
                              int t)

    - #### renderGuide

          public void renderGuide(Writer out)
                           throws IOException

      Renders an HTML table describing the bandwidth tiers used for tunnels, including their ranges and labels, and writes the output to the provided Writer.
      Parameters:
        `out` - the Writer to which the HTML content is written
      Throws:
        `IOException` - if an I/O error occurs during writing

    - #### renderLifetimeBandwidth

          public void renderLifetimeBandwidth(Writer out,
                                              TunnelPool in,
                                              TunnelPool outPool)
                                       throws IOException

      Throws:
        `IOException`

    - #### renderParticipating

          public void renderParticipating(Writer out,
                                          boolean bySpeed)
                                   throws IOException

      Throws:
        `IOException`

    - #### renderPeers

          public void renderPeers(Writer out)
                           throws IOException

      Throws:
        `IOException`

    - #### renderStatusHTML

          public void renderStatusHTML(Writer out)
                                throws IOException

      Throws:
        `IOException`

    - #### renderTransitSummary

          public void renderTransitSummary(Writer out)
                                    throws IOException

      Throws:
        `IOException`